JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ size()
size_type nlohmann::basic_json::size | ( |  | ) | const
| inline noexcept
  Returns the number of elements in a JSON value. Returns The return value depends on the different types and is defined as follows:
  Value type | return value
  --- | ---
  null | `0`
  boolean | `1`
  string | `1`
  number | `1`
  binary | `1`
  object | result of function object_t::size()
  array | result of function array_t::size()
  Example The following code calls `size()` on the different value types. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create JSON values 9 json j_null; 10 json j_boolean = true; 11 json j_number_integer = 17; 12 json j_number_float = 23.42; 13 json j_object = {{"one", 1}, {"two", 2}}; 14 json j_object_empty(json::value_t::object); 15 json j_array = {1, 2, 4, 8, 16}; 16 json j_array_empty(json::value_t::array); 17 json j_string = "Hello, world"; 18 19 // call size() 20 std::cout << j_null.size() << '\n'; 21 std::cout << j_boolean.size() << '\n'; 22 std::cout << j_number_integer.size() << '\n'; 23 std::cout << j_number_float.size() << '\n'; 24 std::cout << j_object.size() << '\n'; 25 std::cout << j_object_empty.size() << '\n'; 26 std::cout << j_array.size() << '\n'; 27 std::cout << j_array_empty.size() << '\n'; 28 std::cout << j_string.size() << '\n'; 29 } Output (play with this example online):
      0
      1
      1
      1
      2
      0
      5
      0
      1
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/size.cpp -o size
Complexity Constant, as long as array_t and object_t satisfy the Container concept; that is, their size() functions have constant complexity. Iterator validity No changes. Exception safety No-throw guarantee: this function never throws exceptions. Note This function does not return the length of a string stored as JSON value - it returns the number of elements in the JSON value which is 1 in the case of a string. Requirements This function helps `basic_json` satisfying the Container requirements: The complexity is constant. Has the semantics of `std::distance(begin(), end())`. See also empty() – checks whether the container is empty max_size() – returns the maximal number of elements Since version 1.0.0 Definition at line 20789 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774